import { Column, Row, TableConfig, Title } from '../utils';
import { TestResult, TestRunIdResult } from '../tests';
import * as tsTypes from '@salesforce/ts-types';
export declare const isTestResult: (result: TestResult | TestRunIdResult) => result is TestResult;
export declare const isString: typeof tsTypes.isString, isBoolean: typeof tsTypes.isBoolean;
export declare const isNumber: (value: unknown) => value is number;
export declare const isObject: (value: unknown) => value is object;
export declare const isArray: (value: unknown) => value is unknown[];
export declare const isNull: (value: unknown) => value is null;
export declare const isPrimitive: (value: unknown) => boolean;
export declare const isRow: (obj: unknown) => obj is Row;
export declare const isColumn: (obj: unknown) => obj is Column;
export declare const isTitle: (obj: unknown) => obj is Title;
export declare const isTableConfig: (obj: unknown) => obj is TableConfig;
export declare const isEmpty: (value: string | number) => boolean;
export declare const isNotQuotable: (value: unknown) => boolean;
export declare function isValidTestRunID(testRunId: string): boolean;
export declare function isValidApexClassID(apexClassId: string): boolean;
