import { Connection } from '@salesforce/core-bundle';
import { CancellationToken } from '../common';
import { SyncTestConfiguration, SyncTestResult, TestResult } from './types';
export declare class SyncTests {
    readonly connection: Connection;
    private readonly codecoverage;
    constructor(connection: Connection);
    /**
     * Synchronous Test Runs
     * @param options Synchronous Test Runs configuration
     * @param codeCoverage should report code coverage
     * @param token cancellation token
     */
    runTests(options: SyncTestConfiguration, codeCoverage?: boolean, token?: CancellationToken): Promise<TestResult>;
    formatSyncResults(apiTestResult: SyncTestResult, startTime: number, codeCoverage?: boolean): Promise<TestResult>;
    private buildSyncTestResults;
    private processTestResult;
}
