declare enum logLevel {
    trace = "trace",
    debug = "debug",
    info = "info",
    warn = "warn",
    error = "error",
    fatal = "fatal"
}
export declare const xmlCharMap: {
    [index: string]: string;
};
export type CommonOptions = {
    json?: boolean;
    loglevel?: logLevel;
};
export type ApexDiagnostic = {
    lineNumber?: number;
    columnNumber?: number;
    exceptionMessage: string;
    compileProblem: string;
    exceptionStackTrace: string;
    className?: string;
};
export type QueryResult<T = QueryRecord> = {
    records: T[];
};
export type QueryRecord = {
    Id: string;
};
export type QueryRecords = {
    totalSize: number;
    records: IdRecord[];
};
export type DebugLevelRecord = {
    ApexCode: string;
    VisualForce: string;
};
export type TraceFlagRecord = {
    Id: string;
    LogType: string;
    DebugLevelId: string;
    StartDate: Date | undefined;
    ExpirationDate: Date | undefined;
    DebugLevel: DebugLevelRecord;
};
export type DataRecordResult = {
    id?: string;
    errors?: string[];
    success: boolean;
};
export type IdRecord = {
    Id: string;
};
export interface Row {
    [column: string]: string;
}
export interface Column {
    key: string;
    label: string;
}
export interface Title {
    title: string;
}
export type TableConfig = Title & {
    columns: Column[];
};
export {};
